All Data Structures Namespaces Files Functions Groups Pages
TestGribIndex Class Reference

Test GribIndex functionality. More...

Inherits TestCase.

## Public Member Functions

def | test_memory_management
| GribIndex closes GribMessages properly. More...
def | test_create_and_serialize_index
| GribIndex can be saved to file, file can be added to index. More...
def | test_index_comprehension
| GribIndex understands underlying GRIB index properly. More...

## Detailed Description

Test GribIndex functionality.

## Member Function Documentation

def test_create_and_serialize_index | ( |  | self | ) |

GribIndex can be saved to file, file can be added to index.

def test_index_comprehension | ( |  | self | ) |

GribIndex understands underlying GRIB index properly.

References TestGribIndex.test_memory_management().

def test_memory_management | ( |  | self | ) |

GribIndex closes GribMessages properly.

Referenced by TestGribIndex.test_index_comprehension().

The documentation for this class was generated from the following file:

- high_level_api.py